# RPM specfile for Parse-RecDescent module
# Generated Wed Apr  3 21:36:59 2002 GMT by Ximian build system
# $Id: bb_do,v 1.182 2002/03/26 20:35:26 dave Exp $
# from $Id: ximian-build.conf,v 1.2 2002/03/22 23:03:29 dobey Exp $

%define nam	Parse-RecDescent
%define ver	1.80
%define ximrev	2

Name:     	perl-Parse-RecDescent
Version: 	1.80
Release:	ximian.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.1 / i386
Copyright:	Artistic
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://www.cpan.org/
Source0:	Parse-RecDescent-1.80.tar.gz
Summary:	Parse::RecDescent extension for Perl5
Group:		Development/Perl
Provides:	ximian-perl-Parse-RecDescent = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
Generate Recursive-Descent Parsers.

%files
%defattr(-, root, root)
%doc README
/usr/lib/perl5


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n Parse-RecDescent-1.80
    ;;
all)
%setup  -q -n Parse-RecDescent-1.80
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    perl Makefile.PL INSTALLDIRS=site
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE} OPTIMIZE="-O2 -g -Wall"
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} PREFIX=${DESTDIR}/usr install; find ${DESTDIR} -type f -name .packlist |xargs --no-run-if-empty -r rm -f; find ${DESTDIR} -type f -name perllocal.pod |xargs --no-run-if-empty -r rm -f; find ${DESTDIR} -type d -empty |xargs --no-run-if-empty -r rm -rf
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Apr 3 2002 Ximian, Inc.

- Version: 1.80-ximian.2
- Summary: New build.
- New automated build.

